<!-- <template>
    <MapboxMap style="height: 400px" access-token="pk.eyJ1IjoibnVlbHZzIiwiYSI6ImNsOHE0NjM5eDF3azczdXBpcmxsMGtxM2kifQ.hjATsxH1uRXxwzZbfo5CrA" map-style="mapbox://styles/nuelvs/cl8wk0xfn000v14qsukkzdajj" :center="[110.69480464649932, -7.610613442012233]" :zoom="17">
    
        <MapboxMarker :lng-lat="[110.69480464649932, -7.610613442012233]" :offset="[110.69480464649932, -7.610613442012233]"/>

    </MapboxMap>
</template>

<script setup>
import { MapboxMap, MapboxMarker } from '@studiometa/vue-mapbox-gl';
</script> -->




<!-- <template>
    <div id="mapContainer" class="basemap"></div>
</template>

<script>
import mapboxgl from "mapbox-gl";

export default {
    name: "BaseMap",
    data() {
        return {
            accessToken: "pk.eyJ1IjoibnVlbHZzIiwiYSI6ImNsOHE0NjM5eDF3azczdXBpcmxsMGtxM2kifQ.hjATsxH1uRXxwzZbfo5CrA",
        };
    },
    components: {
        // Mapboxmarker
    },

    mounted() {
        mapboxgl.accessToken = this.accessToken;

        var map = new mapboxgl.Map({
            container: "mapContainer",
            style: "mapbox://styles/nuelvs/cl8wk0xfn000v14qsukkzdajj",
            center: [110.69480464649932, -7.610613442012233],
            zoom: 16,
            bearing: 360.0,
            attributionControl: false,
        });
        map.addControl(new mapboxgl.NavigationControl(), 'top-left');
        map.addControl(new mapboxgl.AttributionControl({
            customAttribution: '<a href="https://github.com/mapbox/mapbox-gl-js" target="_blank">Mapbox GL JS</a> &middot;',
            compact: false
        }));
    },
};
</script>

<style lang="scss" scoped>
#mapContainer {
    width: 800px;
    height: 480px;
}
</style> -->